/*
 *	A plotting view. 
 *	Rob Ferrante
 */
 
#import <appkit/View.h>

#define  MAXROWS	45
@interface CurveView:View
{
	float  posA, posB, posC, posD;
	id  nameMatrix;
	id  scoreMatrix;
	id  gradeMatrix;
	id  fieldA;
	id  fieldB;
	id  fieldC;
	id  fieldD;
	id  fieldF;
	float scores[MAXROWS]; //Should prob. be malloc'd instead
	float grades[MAXROWS];
	float scoreBin[20];
	float topOfView;
	BOOL  percentMode;
	int count;
}

-(float)percentBetween:(float)low :(float)high;
- initFrame: (NXRect *)r;
- drawSelf: (NXRect *)list :(int) count;
- moveD:sender;
- moveB:sender;
- moveC:sender;
- moveA:sender;
- updateFields;
- setPercentMode:sender;
- loadStudents:sender;
- loadGrades:sender;

@end
